> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell-universal/es/comandos-de-powershell/set-udelement.md).

# Set-UDElement

Set-UDElement actualiza las propiedades o el contenido renderizado de un elemento de interfaz de usuario existente dentro de una página de panel de PowerShell Universal.

### Sinopsis

Establece las propiedades de un elemento.

### Sintaxis

```powershell
Set-UDElement [-Id] <String> [[-Properties] <Hashtable>] [-Broadcast] [[-Content] <ScriptBlock>] [<CommonParameters>]
```

### Descripción

Establece las propiedades de un elemento.

### Parámetros

#### -Id

El elemento sobre el que se establecerán las propiedades.

```
Required?                    true
Position?                    1
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Properties

Las propiedades que se establecerán en forma de tabla hash.

```
Required?                    false
Position?                    2
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Broadcast

Si se debe actualizar este elemento en todos los clientes conectados.

```
Required?                    false
Position?                    named
Default value                False
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Content

Contenido que se establecerá dentro del elemento.

```
Required?                    false
Position?                    3
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### Parámetros comunes

Este cmdlet admite los parámetros comunes: Verbose, Debug, ErrorAction, ErrorVariable, WarningAction, WarningVariable, OutBuffer, PipelineVariable y OutVariable. Para obtener más información, consulte [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Salidas

### Ejemplos

#### Ejemplo 1: Propiedades

```powershell
New-UDButton -Id 'setElement1' -Text 'Disable Me' -OnClick {
   Set-UDElement -Id 'setElement1' -Properties @{
       'disabled' = $true
   }
}
```

Deshabilita un botón.

#### Ejemplo 2: Broadcast

```powershell
New-UDButton -Id 'setElement2' -Text 'Disable Me' -OnClick {
   Set-UDElement -Id 'setElement2' -Properties @{
       'disabled' = $true
   } -Broadcast
}
```

Deshabilita un botón y lo difunde a todos los paneles conectados.

#### Ejemplo 3: Contenido

```powershell
New-UDElement -Tag 'div' -Id 'setElement3' -Content {
    New-UDTypography -Text 'Hello World'
}
New-UDButton -Text 'Click Me' -OnClick {
    Set-UDElement -Id 'setElement3' -Content {
        New-UDTypography -Text 'Goodbye World'
    }
}
```

Establece el contenido de un elemento.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.devolutions.net/powershell-universal/es/comandos-de-powershell/set-udelement.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
